| Version: 3.0.4

Classes | Enumerations | Variables
brush.h File Reference

## Classes
class | wxBrush
| A brush is a drawing tool for filling in areas. More...
class | wxBrushList
| A brush list is a list containing all brushes which have been created. More...

## Enumerations
enum | wxBrushStyle { wxBRUSHSTYLE_INVALID = -1, wxBRUSHSTYLE_SOLID = wxSOLID, wxBRUSHSTYLE_TRANSPARENT = wxTRANSPARENT, wxBRUSHSTYLE_STIPPLE_MASK_OPAQUE = wxSTIPPLE_MASK_OPAQUE, wxBRUSHSTYLE_STIPPLE_MASK = wxSTIPPLE_MASK, wxBRUSHSTYLE_STIPPLE = wxSTIPPLE, wxBRUSHSTYLE_BDIAGONAL_HATCH, wxBRUSHSTYLE_CROSSDIAG_HATCH, wxBRUSHSTYLE_FDIAGONAL_HATCH, wxBRUSHSTYLE_CROSS_HATCH, wxBRUSHSTYLE_HORIZONTAL_HATCH, wxBRUSHSTYLE_VERTICAL_HATCH, wxBRUSHSTYLE_FIRST_HATCH, wxBRUSHSTYLE_LAST_HATCH }
| The possible brush styles. More...

## Variables
wxBrush | wxNullBrush
| An empty brush. More...
wxBrush * | wxBLUE_BRUSH
| Blue brush. More...
wxBrush * | wxGREEN_BRUSH
| Green brush. More...
wxBrush * | wxYELLOW_BRUSH
| Yellow brush. More...
wxBrush * | wxWHITE_BRUSH
| White brush. More...
wxBrush * | wxBLACK_BRUSH
| Black brush. More...
wxBrush * | wxGREY_BRUSH
| Grey brush. More...
wxBrush * | wxMEDIUM_GREY_BRUSH
| Medium grey brush. More...
wxBrush * | wxLIGHT_GREY_BRUSH
| Light grey brush. More...
wxBrush * | wxTRANSPARENT_BRUSH
| Transparent brush. More...
wxBrush * | wxCYAN_BRUSH
| Cyan brush. More...
wxBrush * | wxRED_BRUSH
| Red brush. More...
wxBrushList * | wxTheBrushList
| The global wxBrushList instance. More...

## Enumeration Type Documentation

## ◆ wxBrushStyle

enum wxBrushStyle

The possible brush styles.

Enumerator
wxBRUSHSTYLE_INVALID |
wxBRUSHSTYLE_SOLID | Solid.
wxBRUSHSTYLE_TRANSPARENT | Transparent (no fill).
wxBRUSHSTYLE_STIPPLE_MASK_OPAQUE | Uses a bitmap as a stipple; the mask is used for blitting monochrome using text foreground and background colors.
wxBRUSHSTYLE_STIPPLE_MASK | Uses a bitmap as a stipple; mask is used for masking areas in the stipple bitmap.
wxBRUSHSTYLE_STIPPLE | Uses a bitmap as a stipple.
wxBRUSHSTYLE_BDIAGONAL_HATCH | Backward diagonal hatch.
wxBRUSHSTYLE_CROSSDIAG_HATCH | Cross-diagonal hatch.
wxBRUSHSTYLE_FDIAGONAL_HATCH | Forward diagonal hatch.
wxBRUSHSTYLE_CROSS_HATCH | Cross hatch.
wxBRUSHSTYLE_HORIZONTAL_HATCH | Horizontal hatch.
wxBRUSHSTYLE_VERTICAL_HATCH | Vertical hatch.
wxBRUSHSTYLE_FIRST_HATCH | First of the hatch styles (inclusive).
wxBRUSHSTYLE_LAST_HATCH | Last of the hatch styles (inclusive).

## Variable Documentation

## ◆ wxBLACK_BRUSH

wxBrush* wxBLACK_BRUSH

Black brush.

Except for the color it has all standard attributes (`wxBRUSHSTYLE_SOLID`, no stipple bitmap, etc...).

## ◆ wxBLUE_BRUSH

wxBrush* wxBLUE_BRUSH

Blue brush.

Except for the color it has all standard attributes (`wxBRUSHSTYLE_SOLID`, no stipple bitmap, etc...).

## ◆ wxCYAN_BRUSH

wxBrush* wxCYAN_BRUSH

Cyan brush.

Except for the color it has all standard attributes (`wxBRUSHSTYLE_SOLID`, no stipple bitmap, etc...).

## ◆ wxGREEN_BRUSH

wxBrush* wxGREEN_BRUSH

Green brush.

Except for the color it has all standard attributes (`wxBRUSHSTYLE_SOLID`, no stipple bitmap, etc...).

## ◆ wxGREY_BRUSH

wxBrush* wxGREY_BRUSH

Grey brush.

Except for the color it has all standard attributes (`wxBRUSHSTYLE_SOLID`, no stipple bitmap, etc...).

## ◆ wxLIGHT_GREY_BRUSH

wxBrush* wxLIGHT_GREY_BRUSH

Light grey brush.

Except for the color it has all standard attributes (`wxBRUSHSTYLE_SOLID`, no stipple bitmap, etc...).

## ◆ wxMEDIUM_GREY_BRUSH

wxBrush* wxMEDIUM_GREY_BRUSH

Medium grey brush.

Except for the color it has all standard attributes (`wxBRUSHSTYLE_SOLID`, no stipple bitmap, etc...).

## ◆ wxNullBrush

wxBrush wxNullBrush

An empty brush.

wxBrush::IsOk() always returns false for this object.

## ◆ wxRED_BRUSH

wxBrush* wxRED_BRUSH

Red brush.

Except for the color it has all standard attributes (`wxBRUSHSTYLE_SOLID`, no stipple bitmap, etc...).

## ◆ wxTheBrushList

wxBrushList* wxTheBrushList

The global wxBrushList instance.

## ◆ wxTRANSPARENT_BRUSH

wxBrush* wxTRANSPARENT_BRUSH

Transparent brush.

Except for the color it has all standard attributes (`wxBRUSHSTYLE_SOLID`, no stipple bitmap, etc...).

## ◆ wxWHITE_BRUSH

wxBrush* wxWHITE_BRUSH

White brush.

Except for the color it has all standard attributes (`wxBRUSHSTYLE_SOLID`, no stipple bitmap, etc...).

## ◆ wxYELLOW_BRUSH

wxBrush* wxYELLOW_BRUSH

Yellow brush.

Except for the color it has all standard attributes (`wxBRUSHSTYLE_SOLID`, no stipple bitmap, etc...).